> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction

> Get transaction details



## OpenAPI

````yaml get /v1/transactions/{transaction_id}
openapi: 3.0.0
info:
  title: Transactions API
  version: 1.0.0
  description: API for managing financial transactions
servers: []
security:
  - bearerAuth: []
tags:
  - name: Transactions
    description: Transaction management operations
paths:
  /v1/transactions/{transaction_id}:
    get:
      tags:
        - Transactions
      summary: Get transaction
      description: Get transaction details
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Transaction details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        recipient_id:
          type: string
          format: uuid
        recipient_name:
          type: string
        recipient_type:
          type: string
          enum:
            - recipient
            - account
        recipient:
          type: object
          additionalProperties: true
        sender_id:
          type: string
          format: uuid
        sender_name:
          type: string
        sender_type:
          type: string
          enum:
            - recipient
            - account
        destination_currency:
          $ref: '#/components/schemas/TransactionCurrency'
        source_currency:
          $ref: '#/components/schemas/TransactionCurrency'
        status:
          type: string
          enum:
            - waiting-for-signature
            - pending
            - in-progress
            - completed
            - cancelled
            - failed
            - suspended
        channel:
          type: string
        tariff_id:
          type: string
          format: uuid
        task_id:
          type: string
          format: uuid
        customer_id:
          type: string
          format: uuid
        fee:
          type: string
        tax:
          type: string
        type:
          type: string
          enum:
            - iwt
            - owt
            - int
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
    TransactionCurrency:
      type: object
      required:
        - currency
        - amount
      properties:
        currency:
          type: string
        amount:
          type: string
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  responses:
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: transactions.transaction_not_found
            message: Transaction not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````